Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.model.iterators
Class MapDataTuplesIterator

    java.lang.Object
      com.google.common.collect.UnmodifiableIterator<org.richfaces.model.TreeDataModelTuple>
          org.richfaces.model.iterators.BaseTupleIterator
              org.richfaces.model.iterators.MapDataTuplesIterator

All Implemented Interfaces:
  Iterator<org.richfaces.model.TreeDataModelTuple>

    public class MapDataTuplesIterator

extends BaseTupleIterator

Author:
  Nick Belaevski

Constructor Summary
`MapDataTuplesIterator(SequenceRowKey baseKey, Map<?,?> dataMap)`
`MapDataTuplesIterator(SequenceRowKey baseKey, Map<?,?> dataMap, javax.faces.component.UIComponent component)`

Method Summary
`boolean` | `hasNext()`
`protected void` | `proceedToNext()`

Methods inherited from class org.richfaces.model.iterators.BaseTupleIterator
`createTuple, getBaseKey, getComponent, getCompositeKey, getKey, getWrappedKey, next, setKeyAndData`

Methods inherited from class com.google.common.collect.UnmodifiableIterator
`remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapDataTuplesIterator

    public MapDataTuplesIterator(SequenceRowKey baseKey,
                                 Map<?,?> dataMap)

### MapDataTuplesIterator

    public MapDataTuplesIterator(SequenceRowKey baseKey,
                                 Map<?,?> dataMap,
                                 javax.faces.component.UIComponent component)

Method Detail

### hasNext

    public boolean hasNext()

### proceedToNext

    protected void proceedToNext()

  Specified by:
    `proceedToNext` in class `BaseTupleIterator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.